[Common]
# Makro: Einstellen des Arbeitspunkt
Name=SetupTopography
Length=4
[Commands]
GotoPeak
GotoIntensity SmallSide Interpolation 0.6
MoveToPoint	LastGoal
Stop
[End]

[Common]
# Makro: Peak-Suche
Name=SearchReflection
Length=5
[Commands]
ChooseAxis Omega
MoveToPoint	100.0
GotoPeak BackMove
ShowValue Reflection
Stop
[End]

[Common]
# Makro: Bestimmen der Halbwertsbreite
Name=InquireHwb
Length=16
[Commands]
ChooseAxis Omega
SetWidth 0.4
GotoPeak BackMove
ShowValue Reflection
LoadPoint Argument 2
GotoIntensity SmallSide 0.4
GotoIntensity SmallSide Interpolation 0.5
LoadPoint Argument 1
MoveToPoint Peak
GotoIntensity LargeSide Interpolation 0.5
LoadPoint Argument 2
Calculate Hwb
MoveToPoint Peak
ShowValue Hwb
Stop
[End]

[Common]
# Makro zur Azimutalen Justage
Name=AzimutalJustify
Length=22
[Commands]
ChooseAxis DC
MoveToPoint Relative 50.0
ChooseAxis AZ
LoadPoint Start
SetWidth 0.1
GotoPeak ToSmallerAngle BackMove
SetWidth 0.05
GotoPeak BackMove
ShowValue Reflection
LoadPoint Argument 1
MoveToPoint Start
SetWidth 0.1
GotoPeak ToLargerAngle BackMove
SetWidth 0.05
GotoPeak BackMove
ShowValue Reflection
LoadPoint Argument 2
Calculate Middle
MoveToPoint Result
ChooseAxis Omega
GotoPeak ToSmallerAngle BackMove
Stop
[End]

[Common]
# Test Makro
Name=Test
Length=4
[Commands]
LoadPoint Start
MoveToPoint Relative 100.0
MoveToPoint Start
Stop
[End]

