/*******************************************************************************
  counter:  radicon scscs pc driver (i486)
  module:   radicon.h
  purpose:  external api for kisl.c
  authors:  (c) 1993, 94 by Radicon Ltd.
            revised 2000 for Institut fuer Informatik, HU-Berlin by
              Sebastian Luehnsdorf (luehnsdo@informatik.hu-berlin.de)
              Alexander Schad (schad@informatik.hu-berlin.de)
*******************************************************************************/

/*******************************************************************************
  module initialization
*******************************************************************************/

/* if module unddefined */
#ifndef __RADICON_H

/* define module definition... */
#define __RADICON_H

/* include standard header files */

#ifndef __STDIO_H
#include <stdio.h>
#endif // ndef __STDIO_H

#ifndef __WINDOWS_H
#include <windows.h>
#endif

/* include custom header files */

//#include "detecuse\dfkisl.h"

/* ? */

#define BiosDataSeg ((WORD)(__0040h))

/* ? */

#if defined(__FLAT__)
#define CALLTYPE _cdecl
#else
#define CALLTYPE /*_far*/ _cdecl /*_export*/
#endif

/* for c++: c compatibility */

#ifdef __cplusplus
extern "C" {
#endif // def __cplusplus

/* function declarations */

int  CALLTYPE setprm (int,int,WORD,WORD,int,double,DWORD,int,int,int);
int  CALLTYPE begwrk (int,int,int);
int  CALLTYPE getinf (int,int,int,double*,DWORD*);
int  CALLTYPE init_b (unsigned char*,UINT,int,int);
void CALLTYPE reset  (int);

/* for c++: c compatibility */

#ifdef __cplusplus
}
#endif //def __cplusplus

/* end module definition */
#endif

// __LastLine__
