
#ifndef __M_CCDSCN_H
#define __M_CCDSCN_H


class TSetupAreaScanCCD : public TModalDlg
{

  public:

         TSetupAreaScanCCD( TAreaScanCCD* );

  private:

         //! gibt ausgewaehlten Detektor an
         LPDevice Device;

			//! Pointer auf AreaScanCCD-Fenster
         TAreaScanCCD* Scan;

			//! Handle der Detektorauswahlbox
         HWND hDeviceList;

         //! realisiert test der Dialogboxinhalte auf ihre konsistenz vor verlassen
         //! der Dialogbox (durch OK-Button)
         //! Rueckkehrcode false wenn die Dialogbox nicht geschlossen werden kann
         //! (Werte inkonsistent) sonst true
         BOOL CanClose( void );

         //! behandelt Kommandos in der Dialogbox
         void Dlg_OnCommand( HWND, int, HWND, UINT );

         //! setzt Defaultwerte der Dialogbox bei Aufruf der Box
         //! Rueckkehrcode immer true
         BOOL Dlg_OnInit( HWND, HWND, LPARAM );

         //! wird bei verlassen der Dlg.box aufgerufen (in dieser Dlg.box keine
         //! Bedeutung) da auch geerbt
         //BOOL LeaveDialog( void );
};



#endif
// __M_CCDSCN_H
// __LastLine__