
#ifndef __MSIM_H__
#define __MSIM_H__

#include <windows.h>
#include <iostream.h>

extern "C"
{
  void WINAPI initControllerFromInifile ( const char* inifile );
  void WINAPI setSimulationStatusWindow ( HWND hwnd );
  void WINAPI updateSimulationStatusWindow ();
  void WINAPI setLogStream ( ostream* );

  // C812
  char WINAPI SILENT_C812ISA_GET_CALLBACK ( char* addr, char hw_val );
  void WINAPI SILENT_C812ISA_PUT_CALLBACK ( char* addr, char put );

  char WINAPI VERBOSE_C812ISA_GET_CALLBACK_TS ( char* addr, char hw_val );
  char WINAPI VERBOSE_C812ISA_GET_CALLBACK_NS ( char* addr, char hw_val );
  char WINAPI VERBOSE_C812ISA_GET_CALLBACK_SO ( char* addr, char hw_val );
  void WINAPI VERBOSE_C812ISA_PUT_CALLBACK ( char* addr, char put );


  // C832
  int  WINAPI SILENT_C832_GET_CALLBACK ( unsigned port, int );
  void WINAPI SILENT_C832_PUT_CALLBACK ( unsigned port, int put );

  int  WINAPI VERBOSE_C832_GET_CALLBACK_TS ( unsigned port, int hw_value );
  int  WINAPI VERBOSE_C832_GET_CALLBACK_SO ( unsigned port, int hw_value );
  int  WINAPI VERBOSE_C832_GET_CALLBACK_NS ( unsigned port, int hw_value );
  void WINAPI VERBOSE_C832_PUT_CALLBACK ( unsigned port, int put );
}

#endif

